### Constructor

# Gtk PrintSettingsnew_from_file

#### Declaration [src]

    GtkPrintSettings*
    gtk_print_settings_new_from_file (
      const char* file_name,
      GError** error
    )

#### Description [src]

Reads the print settings from `file_name`.

Returns a new `GtkPrintSettings` object with the restored settings, or `NULL` if an error occurred. If the file could not be loaded then error is set to either a `GFileError` or `GKeyFileError`.

See `gtk_print_settings_to_file()`.

#### Parameters

`file_name`

  Type: `const char*`

  The filename to read the settings from.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GtkPrintSettings`

The restored `GtkPrintSettings`

The caller of the function takes ownership of the data, and is responsible for freeing it.